Package Details: aseqview 0.2.8-1

Git Clone URL: https://aur.archlinux.org/aseqview.git (read-only)
Package Base: aseqview
Description: An ALSA sequencer user-client which works as event viewer.
Upstream URL: http://www.alsa-project.org/~tiwai/alsa.html
Licenses: GPL
Submitter: masutu
Maintainer: masutu
Last Packager: masutu
Votes: 1
Popularity: 0.014982
First Submitted: 2010-09-28 13:14
Last Updated: 2015-07-06 20:42

Latest Comments

NoSuck commented on 2018-05-23 16:14

This no longer builds. Here is a patch:

diff -u aseqview.orig/.SRCINFO aseqview/.SRCINFO
--- aseqview.orig/.SRCINFO  2015-07-06 16:42:52.000000000 -0400
+++ aseqview/.SRCINFO   2018-05-23 12:09:58.219541104 -0400
@@ -7,7 +7,7 @@
    arch = x86_64
    license = GPL
    depends = alsa-lib
-   depends = gtk
+   depends = gtk2
    source = ftp://ftp.suse.com/pub/people/tiwai/aseqview/aseqview-0.2.8.tar.gz
    md5sums = 5f75e1b6fc5eab6b40ae2c7a74216a7b

diff -u aseqview.orig/PKGBUILD aseqview/PKGBUILD
--- aseqview.orig/PKGBUILD  2015-07-06 16:42:52.000000000 -0400
+++ aseqview/PKGBUILD   2018-05-23 12:11:00.212871788 -0400
@@ -7,13 +7,13 @@
 arch=('i686' 'x86_64')
 url="http://www.alsa-project.org/~tiwai/alsa.html"
 license=('GPL')
-depends=('alsa-lib' 'gtk')
+depends=('alsa-lib' 'gtk2')
 source=("ftp://ftp.suse.com/pub/people/tiwai/$pkgname/$pkgname-$pkgver.tar.gz")
 md5sums=('5f75e1b6fc5eab6b40ae2c7a74216a7b')

 build() {
   cd "$srcdir/$pkgname-$pkgver"
-  ./configure --prefix=/usr/ || return 1
+  ./configure --prefix=/usr/ --enable-gtk2 || return 1
   make || return 1
 }